<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('projects__requireds', function (Blueprint $table) {
            //
            $table->string('Project_Document')->nullable();
              $table->enum('status', ['Planned', 'In_progress', 'Completed'])->default('Planned');
            $table->enum('flg', ['Satisfy', 'Not_Satisfy', 'In_review'])->default('In_review');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('projects__requireds', function (Blueprint $table) {
            //
        });
    }
};
